From 484bd556daf7489e03eb8303aa794a7ca4841d22 Mon Sep 17 00:00:00 2001
From: Wang Shengfang <wangshengfang@huawei.com>
Date: Tue, 19 May 2020 10:53:33 +0800
Subject: [PATCH 27/28] virt_vm: add kernel panic verification msg in verify
 kernel crash

Add kernel panic verification msg ".*Call trace:.*" in verify kernel
crash.

Signed-off-by: Wang Shengfang <wangshengfang@huawei.com>
Signed-off-by: Chen Qun <kuhn.chenqun@huawei.com>
---
 virttest/virt_vm.py | 1 +
 1 file changed, 1 insertion(+)

diff --git a/virttest/virt_vm.py b/virttest/virt_vm.py
index 7b49517d..e4919ae6 100644
--- a/virttest/virt_vm.py
+++ b/virttest/virt_vm.py
@@ -985,6 +985,7 @@ class BaseVM(object):
         panic_re = [r"BUG:.*---\[ end trace .* \]---"]
         panic_re.append(r"----------\[ cut here.* BUG .*\[ end trace .* \]---")
         panic_re.append(r"general protection fault:.* RSP.*>")
+        panic_re.append(r".*Call trace:.*")
         panic_re = "|".join(panic_re)
         if self.serial_console:
             data = self.serial_console.get_output()
-- 
2.23.0

